<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>F-Index</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="F-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Field</span></a> - Class in <a href="../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a></dt>
<dd>
<div class="block">Field description.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#Field-java.lang.String-de.rowlo.tridchess.gui.FieldView-de.rowlo.tridchess.model.Board-">Field(String, FieldView, Board)</a></span> - Constructor for class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">FieldView</span></a> - Class in <a href="../de/rowlo/tridchess/gui/package-summary.html">de.rowlo.tridchess.gui</a></dt>
<dd>
<div class="block">
 A FieldView is a Canvas Component that shows a field of a chess board.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#FieldView-int:A-java.awt.Point-java.awt.Point-">FieldView(int[], Point, Point)</a></span> - Constructor for class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Construction of black field with position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#FieldView-int:A-java.awt.Point-java.awt.Point-boolean-">FieldView(int[], Point, Point, boolean)</a></span> - Constructor for class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Construction of white or black field with position.</div>
</dd>
<dt><a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Figure</span></a> - Class in <a href="../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a></dt>
<dd>
<div class="block">Figure description.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#Figure-boolean-int-java.lang.String-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Board-">Figure(boolean, int, String, Field, Board)</a></span> - Constructor for class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/PlainMove.html#FIGURE_MOVE">FIGURE_MOVE</a></span> - Static variable in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid">PlainMove</a></dt>
<dd>
<div class="block">Figure move type.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#figureImageFilenames">figureImageFilenames</a></span> - Static variable in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Figure types' image file names.</div>
</dd>
<dt><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">FigureRangeChecking</span></a> - Class in <a href="../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a></dt>
<dd>
<div class="block">Checks the movement range for all figures and provides counter check
 checking.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#FigureRangeChecking-de.rowlo.tridchess.model.trid.TriDBoard-">FigureRangeChecking(TriDBoard)</a></span> - Constructor for class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Construction with TriDBoard.</div>
</dd>
<dt><a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">FiguresListView</span></a> - Class in <a href="../de/rowlo/tridchess/gui/package-summary.html">de.rowlo.tridchess.gui</a></dt>
<dd>
<div class="block">Paints a party's figures that are out of play.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#FiguresListView-java.awt.Dimension-de.rowlo.tridchess.gui.ChessUi-">FiguresListView(Dimension, ChessUi)</a></span> - Constructor for class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>
<div class="block">Creates a view of a list of Figures.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#figureTypes">figureTypes</a></span> - Static variable in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Figure types as array.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#FORBIDDEN_FIELD_COLOR">FORBIDDEN_FIELD_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for forbidden field's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#FORBIDDEN_PIN_COLOR">FORBIDDEN_PIN_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for forbidden pin's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#FORBIDDEN_SHADE">FORBIDDEN_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Highlighting used for a field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#FORBIDDEN_SHADE">FORBIDDEN_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Highlighting used for a pin.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
